# Function $StateRefDynamicDirective

- $StateRefDynamicDirective($state, $timeout, $stateRegistry, $transitions): {
  link: ((scope: any, element: any, attrs: any, ngSrefActive: any) => void);
  require: string[];
  restrict: string;
  }

- #### Parameters

  - $state: any
  - $timeout: any
  - $stateRegistry: any
  - $transitions: any

  #### Returns {
  link: ((scope: any, element: any, attrs: any, ngSrefActive: any) => void);
  require: string[];
  restrict: string;
  }

  - ##### link: ((scope: any, element: any, attrs: any, ngSrefActive: any) => void)

    - - (scope, element, attrs, ngSrefActive): void

      - #### Parameters

        - scope: any
        - element: any
        - attrs: any
        - ngSrefActive: any

        #### Returns void

  - ##### require: string[]

  - ##### restrict: string

  - Defined in router/directives/state-directives.js:170

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in router/directives/state-directives.js:164